var whir = window.whir || {};

whir.qq = {
    qqnum: 0,
    qqRegion: "gz",
    homeFixedShowCount: 1,
    homeFixedSecondShow: 12,
    qqShowCount: 3,
    qqSecondShow: 10,
    kf53ShowCount: 3,
    kf53SecondShow: 100,
    isShowQqCustomer: true,
    isShowIframe: true,
    isShowHomeFixed: true,
    isShow53: false,
    isQQKfJs: true,
    qqtkClass: ".home_fixed",
    qqkfClass: ".QQcustomer",
    qqNumber: {
        xm: "938020694",
        wh: "938020694",
        cs: "938020694",
        quanwangzhancn: "800048101",
        hf: "800048101",
        hz: "800048101",
        sz: "800048101",
        gz: "938020694",
        sh: "800048101",
        nj: "800048101",
        hznetcn: "800048101",
        njnetcn: "800048101",
        hfnetcn: "800048101",
        quanwangNetCn: "800133716",
        quanwangzhanCom: "800133716",
        quanwangzhanCn: "800048101",
        csd: "800048101"
    },
    qqKfjs: {
        gz: "http://wpa.b.qq.com/cgi/wpa.php?key=XzkzODAyMDY5NF80NDMzNTNfNDAwMTgwMDMwN18",
        xm: "http://wpa.b.qq.com/cgi/wpa.php?key=XzkzODAyMDY5NF80MzI5MzRfNDAwMTgwMDMwN18",
        sh: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80NDMzNDRfODAwMDQ4MTAxXw",
        nj: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80MjcyNDJfODAwMDQ4MTAxXw",
        hf: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80MjcyNDJfODAwMDQ4MTAxXw",
        hz: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80MjcyNDJfODAwMDQ4MTAxXw",
        cs: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80MjcyNDJfODAwMDQ4MTAxXw",
        quanwangzhanCn: "http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80MjcyNDJfODAwMDQ4MTAxXw"
    },
    qqtj:{
        sh:"http://wpa.b.qq.com/cgi/wpa.php?key=XzgwMDA0ODEwMV80NDMzNDdfODAwMDQ4MTAxXw"
    },
    getDomain: function () {
        var domain = {}
            , dm = document.domain;
        try {
            domain.url = location.href
        } catch (e) {
            domain.url = ""
        }
        domain.topDomain = function () {
            var reg1 = /\.(?:(?:edu|gov|com|org|net)\.cn|co\.nz)$/
                , reg2 = /^[12]?\d?\d\.[12]?\d?\d\.[12]?\d?\d\.[12]?\d?\d$/
                , slicePos = reg1.test(dm) ? -3 : reg2.test(dm) ? 0 : -2;
            return dm.split(".").slice(slicePos).join(".")
        } ();
        domain.domain = function () {
            var reg = /(?::[\/]{2}|:[\\]{3})([a-zA-Z0-9_\.]+)/;
            try {
                var ret = reg.exec(domain.url);
                return ret ? ret[1] || dm : dm
            } catch (e) {
                return dm
            }
        } ();
        return domain
    },
    showHomeFixed: function () {
        var thisQQObj = this;

        $(thisQQObj.qqtkClass + " .close," + thisQQObj.qqtkClass + " .close2").unbind().bind("click", function () {
            $(this).parent().remove();
        });

        $(thisQQObj.qqtkClass).unbind().bind("click", function () {
            $(thisQQObj.qqtkClass + " .close").click();
        });

        $(thisQQObj.qqtkClass + " .btn").unbind().bind("click", function () {
            thisQQObj.showQQIframe();
        });

        var showCount = window.cookieHelp.getCookie("homeFixed");
        if (showCount == undefined || showCount == "") {
            showCount = 0;
        }

        var seachShow = 0;
        if (thisQQObj.homeFixedSecondShow instanceof Array) {
            if (thisQQObj.homeFixedSecondShow.length > showCount) {
                seachShow = thisQQObj.homeFixedSecondShow[showCount];
            } else {
                seachShow = thisQQObj.homeFixedSecondShow[0];
            }
        } else {
            seachShow = thisQQObj.homeFixedSecondShow;
        }

        if (Number(showCount) < thisQQObj.homeFixedShowCount) {
            setTimeout(function () {
                $(thisQQObj.qqtkClass).show();

                showCount = Number(showCount) + 1;
                window.cookieHelp.setCookie("homeFixed", showCount, 1);
            }, seachShow * 1000);
        }
    },
    showQQIframe: function () {
        var domain = this.getDomain();
        $.ajax({
            url: "http://wpd.b.qq.com/cgi/get_sign.php",
            data: {
                a: "4",
                aty: "2",
                clkSrc: "",
                dm: domain.topDomain,
                ext: "",
                kfuin: whir.qq.qqNumber[whir.qq.qqRegion],
                na: whir.qq.qqNumber[whir.qq.qqRegion],
                sid: undefined,
                title: "上海网站建设-上海网站制作-上海万户网络,18年老牌网络公司",
                uid: null,
                url: domain.url,
                cb: "qqCallBack"
            },
            dataType: "jsonp"
        });
    },
    showQQ: function () {
        var thisQQObj = this;
        var showCount = window.cookieHelp.getCookie("showQQ");
        if (showCount == undefined || showCount == "") {
            showCount = 0;
        }

        var seachShow = 0;
        if (thisQQObj.qqSecondShow instanceof Array) {
            if (thisQQObj.qqSecondShow.length > showCount) {
                seachShow = thisQQObj.qqSecondShow[showCount];
            } else {
                seachShow = thisQQObj.qqSecondShow[0];
            }
        } else {
            seachShow = thisQQObj.qqSecondShow;
        }

        if (Number(showCount) < thisQQObj.qqShowCount) {
            setTimeout(function () {
                thisQQObj.showQQIframe();

                showCount++;
                window.cookieHelp.setCookie("showQQ", showCount, 1);
            }, seachShow * 1000);
        }
    },
    qqcustomer: function () {
        var showImg = $(whir.qq.qqkfClass + " img:visible");
        var hideImg = $(whir.qq.qqkfClass + " img:not(:visible)");

        showImg.hide();
        hideImg.show();
    },
    showQQcustomer: function () {
        var thisObj = this;
        $(thisObj.qqkfClass + " .big img:first").show();
        setInterval(thisObj.qqcustomer, 2000);

        //在线客服
        $(thisObj.qqkfClass).mousemove(function () {
            if ($(this).width() < 100) {
                $(this).find("span").show();
            }
        });

        $(thisObj.qqkfClass + " span").click(function () {
            $(this).hide().parent().stop().animate({ width: 66 }, 300);
            return false;
        });

        $(thisObj.qqkfClass).click(function () {
            thisObj.showQQIframe();
        });
    },
    show53: function () {
        var thisObj = this;

        window.cookieHelp.clearCookie([
            "kf53",
            "showQQ",
            "homeFixed"
        ]);

        var showCount = window.cookieHelp.getCookie("kf53");
        if (Number(showCount) < thisObj.kf53ShowCount) {
            var _53code = document.createElement("script");
            _53code.src = '//tb.53kf.com/code/code/10141163/1';
            var s = document.getElementsByTagName("script")[0];
            s.parentNode.insertBefore(_53code, s);
            showCount++;
            window.cookieHelp.setCookie("kf53", showCount, 1);
        }
    },
    showQqKfjs: function () {
        var thisObj = this;

        var _qqKfjs = document.createElement("script");
        _qqKfjs.src = thisObj.qqKfjs[thisObj.qqRegion];
        var s = $("#qqTop");
        s.append(_qqKfjs);
    },
    showQqkfTj:function(){
        var thisObj = this;

        var _qqKfjs = document.createElement("script");
        _qqKfjs.src = thisObj.qqtj[thisObj.qqRegion];
        var s = $("#qqTop");
        s.append(_qqKfjs);
    },
    showQQKfJsImg:function(){
        setTimeout(function(){
            if($('#qqTop iframe').length === 0 || $('#qqTop iframe').contents().find("#launchBtn").length === 0){
                whir.qq.showQQKfJsImg();
                return;
            }
            $('#qqTop iframe').contents().find('.main').css({
                background: "none",
                position: "relative",
                width: "100%",
                height: "91px"
            });
            $('#qqTop iframe').contents().find("#launchBtn").css({
                width: "95px",
                height: "92px",
                top: "0px",
                left: "-2px",
                backgroundImage: "url(http://ziyuan.zy.whir.net.cn/img/kf1.png)"
            }).html('').show();
            $('#qqTop iframe').contents().find("#launchBtnOffline").remove();


            var i = 1;
            setInterval(function(){
                if(i === 1){
                    i = 2;
                }else if(i === 2){
                    i = 1;
                }
                $('#qqTop iframe').contents().find("#launchBtn").css({
                    backgroundImage: "url(http://ziyuan.zy.whir.net.cn/img/kf" + i +".png)"
                });
            } , 2000);
        },100);
    }
};
function qqCallBack(res) {
    if (res.data.sign != null) {
        window.location.href = res.data.sign;
    }
}

whir.bottom = {
    footShowHosts: [
        "http://hn.wanhu.com.cn/",
        "http://wuhan.wanhu.com.cn/",
        "http://wh.wanhu.com.cn/",
        "http://www.wanhu.cn/",
        "http://wanhu.cn/",
        "http://js.wanhu.cn/",
        "http://suzhou.wanhu.cn/",
        "http://zj.wanhu.cn/",
        "http://anhui.wanhu.cn/",
        "http://www.wanhu.com.cn/"
    ],
    getFastheight: function () {
        return $(document).scrollTop();
    },
    simulateClick: function (el) {
        var evt;
        if (document.createEvent) { // DOM Level 2 standard  
            evt = document.createEvent("MouseEvents");
            evt.initMouseEvent("click", true, true, window,
                0, 0, 0, 0, 0, false, false, false, false, 0, null);

            el.dispatchEvent(evt);
        } else if (el.fireEvent) { // IE  
            el.fireEvent('onclick');
        }
    },
    shopFastNav: function () {
        var thisObj = this;
        $(".fast_nav").stop().animate({ top: thisObj.getFastheight() + $(window).height() / 2 - $(window).outerHeight(true) / 4 }, 200);
    },
    showFootLink: function () {
        var thisObj = this;
        var isShow = true;
        for (var i in thisObj.footShowHosts) {
            if (window.location.href.toString().toLowerCase() == thisObj.footShowHosts[i] || window.location.href.toString().toLowerCase().indexOf("index") > -1) {
                isShow = false;
            }
        }
        if (isShow) {
            $(".divFoot .links,.BottomLinks").hide();
        }
    }
};

whir.top = {
    GoSearchUrl: function () {
        var thisObj = this;
        var searchinput = $("#topkey");
        if (searchinput.val() == "" || searchinput.val() == "请输入关键字") {
            alert("请输入关键字！");
            searchinput.focus();
            return false;
        }
        if (searchinput.val().length > 50) {
            alert("输入的关键字字数不要过多！");
            searchinput.focus();
            return false;
        }
        thisObj.CheckString(searchinput.val());
    },
    CheckString: function (s) {
        var thisObj = this;
        var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）—|{}【】‘；：”“'。，、？]")
        var rs = "";
        for (var i = 0; i < s.length; i++) {
            rs = rs + s.substr(i, 1).replace(pattern, '');
        }
        if (rs == "") {
            alert("不能输入特殊字符！");
            return false;
        }
        else {
            thisObj.GoSreach(rs);
        }
    },
    GoSreach: function (rs) {
        window.location.href = whir.global.basePath + "search?title=" + encodeURIComponent(rs);
        return true;
    },
    entersearch: function () {
        var thisObj = this;
        var event = window.event || arguments.callee.caller.arguments[0];
        if (event.keyCode == 13) {
            thisObj.GoSearchUrl();
        }
    }
}

whir.menu = {
    isListCenter: true,
    selectMenu: function () {
        //选中
        $("#menu" + window.menuID).addClass("onmenu");
    },
    listCenter: function () {
        //列表居中
        var width = 0;
        $(".MenuList ul li").each(function (i) {
            width = $(window).outerWidth(true) + width;
        });
        $(".MenuList").width(width + 10);
    }
}

whir.aboutMenu = {
    aboutMenuLiHover: function () {
        $(".about_menu li").unbind().bind("hover", function () {
            var _class = $(this).attr("class");
            if (_class == "li") {
                $(this).removeClass("li");
            }
        }, function () {
            var _class = $(this).attr("class");
            if (_class == "") {
                $(this).addClass("li");
            }
        });
        $(".about_business_menu li:last").css("margin-right", "0");
    }
}

whir.newsMenu = {
    cateName: "公司新闻",
    showSubTitles: ["万户新闻", "业务动态", "客户反响", "媒体报道", "公司活动"]
}

whir.serverAreas = {
    servicesBoxSpanShow: function () {
        $(".Contain .ServicesBox").each(function () {
            $(this).find(".caselist ul li").each(function () {
                $(this).hover(function () {
                    //$(this).find("img").removeClass("gray");
                    $(this).find("span").show();
                }, function () {
                    //$(this).find("img").addClass("gray");
                    $(this).find("span").hide();
                });
            });
        });
    },
    servicesBoxHeight: function () {
        var height = $(window).height();
        $(".Contain .ServicesBox").each(function (index, element) {
            $(this).css({ "padding-top": (height - $(this).height()) * 0.3 + "px", "padding-bottom": (height - $(this).height()) * 0.7 + "px" });
            $(this).attr("data-height", $(this).height());
        });
    },
    webSiteImgClass: function () {
        if ($(window).width() < 1370) {
            $(".official_website_bg .img").addClass("img2");
        } else {
            $(".official_website_bg .img").removeClass("img2");
        }
    }
}

whir.creative = {

}

whir.webSitePlan = {

}

whir.solution = {
    types: ["主栏目"]
}

whir.advantage = {
    types: [0]
}

whir.webBuild = {
    types: [],
    tab: function (obj) {
        $(".site_revision_list .li").stop().animate({ width: 72 }, 500, function () {
            $(this).removeClass("on");
        });
        $(obj).parent().addClass("on").stop().animate({ width: 815 }, 500);
    }
}

whir.develop = {
    types: [""]
}

whir.caseinfo = {
    city: "",
    industry: "",
    mobile: "",
    pc: "",
    mobileShow: function () {
        var mobile = this.mobile;
        var pc = this.pc;
        if (mobile.length > 0) {
            $(".conten .mobile").show();
        } else {
            $(".conten .mobile").hide();
        }
        if (pc.length > 0) {
            $(".conten .pc").show();
        } else {
            $(".conten .pc").hide();
            $(".conten .mobile").trigger("click");
        }
        var type = window.location.hash;
        if (type == '#phone') {
            $(".mobile").trigger("click")
        }
    }
}

whir.about = {
    bdAnimate: {
        num: 0,
        $con: function () {
            return $(".aboutchan .con4");
        },
        $leng: function () {
            return whir.about.bdAnimate.$con().find("ul").length;
        },
        $bd: function () {
            return whir.about.bdAnimate.$con().find(".bd");
        },
        $ul: function () {
            return whir.about.bdAnimate.$con().find("ul");
        },
        $width: function () {
            return whir.about.bdAnimate.$con().outerWidth(true);
        },
        $prev: function () {
            return whir.about.bdAnimate.$con().find(".prev");
        },
        $next: function () {
            return whir.about.bdAnimate.$con().find(".next");
        },
        autoplay: function () {
            var thisObj = whir.about.bdAnimate;
            var num = thisObj.num;
            num++;
            if (num > thisObj.$leng() - 1) {
                num = 0;
            }
            thisObj.$bd().stop().animate({
                left: -num * thisObj.$width()
            }, 500);

            thisObj.num = num;
        },
        init: function () {
            var $div = null;
            $(".aboutchan .con4 li").each(function (i) {
                if (i % 12 == 0) {
                    $div = $('<ul></ul>');
                    $div.appendTo(".aboutchan .con4 .bd");
                }
                $(this).appendTo($div);
            });


            var bdAnimate = whir.about.bdAnimate;
            bdAnimate.$ul().width(bdAnimate.$width());
            bdAnimate.$bd().width(bdAnimate.$width() * bdAnimate.$leng());
            var time = setInterval(bdAnimate.autoplay, 4000);
            bdAnimate.$next().unbind().bind("click", function () {
                clearInterval(time);
                time = setInterval(bdAnimate.autoplay, 4000);
                bdAnimate.autoplay();
            });

            bdAnimate.$prev().unbind().bind("click", function () {
                clearInterval(time);
                time = setInterval(bdAnimate.autoplay, 4000);
                var num = bdAnimate.num;
                num--;
                if (num < 0) {
                    num = bdAnimate.$leng() - 1
                }
                bdAnimate.$bd().stop().animate({ left: -num * bdAnimate.$width() }, 500);
                bdAnimate.num = num;
            });

            bdAnimate.$bd().unbind().bind("hover", function () {
                clearInterval(time);
            }, function () {
                clearInterval(time);
                time = setInterval(bdAnimate.autoplay, 4000);
            });

            $(window).resize(function () {
                bdAnimate.$ul().width(bdAnimate.$width());
                bdAnimate.$bd().css({ "width": bdAnimate.$width() * bdAnimate.$leng(), "left": -bdAnimate.num * bdAnimate.$width() });

                clearInterval(time);
                time = setInterval(bdAnimate.autoplay, 4000);
            });
        }
    },
    aboutchanHover: function () {
        $(".aboutchan .con5 .nav a").hover(function () {
            var _class = $(this).attr("class");
            if (_class == "a") {
                $(this).removeClass("a");
            }
        }, function () {
            var _class = $(this).attr("class");
            if (_class == "") {
                $(this).addClass("a");
            }
        });
    },
    aboutchanBanLiFirst: function () {
        setTimeout(function () {
            $(".aboutchan_ban ul").height($(".aboutchan_ban ul li:first").height());
        }, 2000);
    },
    aboutchanFindUlLiCss: function () {
        $(".aboutchan .con5 .box").each(function () {
            jQuery(this).find(".cityBan .divNews .newsList").each(function () {
                //新闻信息切换
                jQuery(this).find(".newslistTop").slide({ mainCell: ".div", effect: "left", autoPlay: false, interTime: 3000, prevCell: ".btn_prev", nextCell: ".btn_next" });

                //样式
                jQuery(this).find(".newslistTop .NewsTopBan").each(function () {
                    $(this).find(".newsTop dl:last").css("margin-right", "0");

                    $(this).find("ul li").each(function (i) {
                        if (Number(i + 1) % 2 == 0) {
                            $(this).css("margin-right", "0");
                        }
                    });
                    $(this).find("ul li:last").css("border-bottom", "0");
                    $(this).find("ul li:last").prev("li").css("border-bottom", "0");
                });
            });

        });
    },
    aboutchanAClick: function () {
        $(".aboutchan .con5 .nav a").click(function () {
            var _index = $(this).index();
            $(this).attr("class", "onmenu").siblings("a").attr("class", "a");
            $(".aboutchan .con5 .box .citylist .divNews").stop().animate({ left: -_index * 1200 }, 500);
        });
    },
    aboutchanLiHover: function () {
        $(".aboutchan .con4 li").hover(function () {
            $(this).removeClass("li")
        }, function () {
            $(this).addClass("li")
        });
    },
    aboutAlertbgSelect: function () {
        $(".about_alertbg .select").each(function () {
            $(this).find("span").click(function () {
                var _block = $(this).siblings("dl");
                if (_block.css("display") == "none") {
                    _block.show();
                } else {
                    _block.hide();
                }
            })
            $(this).find("a").click(function () {
                var _txt = $(this).text();
                $(this).parents("dl").hide().siblings("span").text(_txt);
            })
            $(this).mouseleave(function () {
                $(this).find("dl").hide();
            })
        });
    }
}

whir.honor = {

}

whir.contact = {
    maps: [],
    showMaps: function (maps) {
        for (var i in maps) {
            var tempMaps = maps[i];
            var map = new BMap.Map(tempMaps.div);            // 创建Map实例
            var point = new BMap.Point(tempMaps.x, tempMaps.y);
            map.centerAndZoom(point, 17);
            map.enableScrollWheelZoom();                  //启用滚轮放大缩小

            var marker = new BMap.Marker(point);  // 创建标注
            map.addOverlay(marker);              // 将标注添加到地图中
        }
    }
}

whir.news = {
    city: "全国",
    cateName: ""
}

whir.seach = {
    type: "",
    title: "",
    search: function () {
        var searchType = $(".searchType").text();
        switch (searchType) {
            case "新闻":
                searchType = "news";
                break;
            case "案例":
                searchType = "case";
                break;
            case "全部":
                searchType = "";
                break;
        }

        var url = whir.global.basePath + "Search?type=" + searchType;
        var keyword = $(".searchKeyword").val();
        if (keyword.length > 0) {
            url = url + "&title=" + keyword;
            window.location = url;
        } else {
            $(".searchKeyword").focus();
        }
    }
}

whir.staff = {
    videoPlay: function (n) {
        //视频播放
        var VideoPlayer = document.getElementById('VideoPlayer');
        var _this = $(n);
        var li = _this.parents("li");
        var video = li.attr("video");
        var poster = li.attr("poster");
        _this.parents("li").siblings("li").removeClass("on");
        _this.parents("li").addClass("on");

        //替换视频信息
        VideoPlayer.load();
        VideoPlayer.src = video;
        VideoPlayer.poster = poster;
        //VideoPlayer.play();
    }
}

whir.takeJob = {
    maps: []
}

whir.index = {
    weService: function () {
        var num = 0,
            liston = $(".our_service .TabList .List .ul"),
            list = $(".our_service .BanList"),
            leng = liston.find("li").length;


        list.find("li").css("opacity", "0");
        liston.find("li").first().addClass("on");
        list.find("li").first().css("opacity", "1");
        liston.find("li").hover(function () {
            //    clearInterval(time);
            //    time = setInterval(autoplay, 4000);
            num = $(this).index();
            liston.find("li").removeClass("on").eq(num).addClass("on");
            list.find("li").stop().animate({ opacity: 0 }, 500, function () {
                $(this).hide();
            });
            list.find("li").eq(num).show().stop().animate({ opacity: 1 }, 500)
        });
    },
    banner: function () {
        //banner
        jQuery(".HomeBan").slide({ mainCell: ".BanList ul", effect: "fold", autoPlay: true, interTime: 3000 });
    },
    weClient: function () {
        //我们的客户
        jQuery(".our_clients_right").slide({ mainCell: ".clientsBan", effect: "left", autoPlay: true, interTime: 3000 });
        jQuery(".our_clients_right .clientsBan li .OcOverlay").css("display", "table");
        jQuery(".our_clients_right .clientsBan li .OcOverlay").hide();
        jQuery(".our_clients_right .clientsBan li").each(function () {
            $(this).hover(function () {
                $(this).find(".OcOverlay").stop(true, true).fadeIn();
            }, function () {
                $(this).find(".OcOverlay").stop(true, true).fadeOut();
            });
        });
    },
    weNews: function () {
        //tab切换
        $(".our_news .divTitle a").eq(0).addClass("on");
        $(".our_news .box").eq(0).css("z-index", "20");
        $(".our_news .divTitle a").each(function (i) {
            $(this).click(function () {
                $(this).siblings("a").removeClass("on");
                $(this).addClass("on");
                $(".our_news .box").eq(i).siblings(".box").hide();
                $(".our_news .box").eq(i).show();
            });
        });

        //城市切换
        $(".our_news .box").each(function () {
            //城市切换
            jQuery(this).find(".citylist").slide({ mainCell: ".cityBan .divNews", titCell: ".citys .Main li", effect: "left", autoPlay: false, interTime: 3000 });

            //城市名称的宽度
            var num = jQuery(this).find(".citylist .citys ul li").size();
            jQuery(this).find(".citylist .citys ul li").width(100 / num + "%");

            jQuery(this).find(".cityBan .divNews .newsList").each(function () {
                //新闻信息切换
                jQuery(this).find(".newslistTop").slide({ mainCell: ".div", effect: "left", autoPlay: false, interTime: 3000, prevCell: ".btn_prev", nextCell: ".btn_next" });

                //样式
                jQuery(this).find(".newslistTop .NewsTopBan").each(function () {
                    $(this).find(".newsTop dl:last").css("margin-right", "0");

                    $(this).find("ul li").each(function (i) {
                        if (Number(i + 1) % 2 == 0) {
                            $(this).css("margin-right", "0");
                        }
                    });
                    $(this).find("ul:last").find("li").css("border-bottom", "0");
                    //$(this).find("ul li:last").prev("li").css("border-bottom", "0");
                    $(this).find("ul:last").prev("ul").find("li").css("border-bottom", "0");
                });
            });

        });
    },
    weContact: function () {
        //我们的联络
        jQuery(".our_contact_Ban").slide({ mainCell: ".BanList ul", effect: "left", autoPlay: true, interTime: 3000 });
    }
}